/* To avoid CSS expressions while still supporting IE 7 and IE 6, use this script */
/* The script tag referencing this file must be placed before the ending body tag. */

/* Use conditional comments in order to target IE 7 and older:
	<!--[if lt IE 8]><!-->
	<script src="ie7/ie7.js"></script>
	<!--<![endif]-->
*/

(function() {
	function addIcon(el, entity) {
		var html = el.innerHTML;
		el.innerHTML = '<span style="font-family: \'dgicomfontLight\'">' + entity + '</span>' + html;
	}
	var icons = {
		'dgicoml-exclam': '&#x21;',
		'dgicoml-quotedbl': '&#x22;',
		'dgicoml-numbersign': '&#x23;',
		'dgicoml-dollar': '&#x24;',
		'dgicoml-percent': '&#x25;',
		'dgicoml-ampersand': '&#x26;',
		'dgicoml-quotesingle': '&#x27;',
		'dgicoml-parenleft': '&#x28;',
		'dgicoml-parenright': '&#x29;',
		'dgicoml-asterisk': '&#x2a;',
		'dgicoml-plus': '&#x2b;',
		'dgicoml-comma': '&#x2c;',
		'dgicoml-hyphen': '&#x2d;',
		'dgicoml-period': '&#x2e;',
		'dgicoml-slash': '&#x2f;',
		'dgicoml-zero': '&#x30;',
		'dgicoml-one': '&#x31;',
		'dgicoml-two': '&#x32;',
		'dgicoml-three': '&#x33;',
		'dgicoml-four': '&#x34;',
		'dgicoml-five': '&#x35;',
		'dgicoml-six': '&#x36;',
		'dgicoml-seven': '&#x37;',
		'dgicoml-eight': '&#x38;',
		'dgicoml-nine': '&#x39;',
		'dgicoml-colon': '&#x3a;',
		'dgicoml-semicolon': '&#x3b;',
		'dgicoml-guillemotleft': '&#x3c;',
		'dgicoml-equal': '&#x3d;',
		'dgicoml-guillemotright': '&#x3e;',
		'dgicoml-question': '&#x3f;',
		'dgicoml-at': '&#x40;',
		'dgicoml-A': '&#x41;',
		'dgicoml-B': '&#x42;',
		'dgicoml-C': '&#x43;',
		'dgicoml-D': '&#x44;',
		'dgicoml-E': '&#x45;',
		'dgicoml-F': '&#x46;',
		'dgicoml-G': '&#x47;',
		'dgicoml-H': '&#x48;',
		'dgicoml-I': '&#x49;',
		'dgicoml-J': '&#x4a;',
		'dgicoml-K': '&#x4b;',
		'dgicoml-L': '&#x4c;',
		'dgicoml-M': '&#x4d;',
		'dgicoml-N': '&#x4e;',
		'dgicoml-O': '&#x4f;',
		'dgicoml-P': '&#x50;',
		'dgicoml-Q': '&#x51;',
		'dgicoml-R': '&#x52;',
		'dgicoml-S': '&#x53;',
		'dgicoml-T': '&#x54;',
		'dgicoml-U': '&#x55;',
		'dgicoml-V': '&#x56;',
		'dgicoml-W': '&#x57;',
		'dgicoml-X': '&#x58;',
		'dgicoml-Y': '&#x59;',
		'dgicoml-Z': '&#x5a;',
		'dgicoml-bracketleft': '&#x5b;',
		'dgicoml-backslash': '&#x5c;',
		'dgicoml-bracketright': '&#x5d;',
		'dgicoml-asciicircum': '&#x5e;',
		'dgicoml-underscore': '&#x5f;',
		'dgicoml-a': '&#x61;',
		'dgicoml-b': '&#x62;',
		'dgicoml-c': '&#x63;',
		'dgicoml-d': '&#x64;',
		'dgicoml-e': '&#x65;',
		'dgicoml-f': '&#x66;',
		'dgicoml-g': '&#x67;',
		'dgicoml-h': '&#x68;',
		'dgicoml-i': '&#x69;',
		'dgicoml-j': '&#x6a;',
		'dgicoml-k': '&#x6b;',
		'dgicoml-l': '&#x6c;',
		'dgicoml-m': '&#x6d;',
		'dgicoml-n': '&#x6e;',
		'dgicoml-o': '&#x6f;',
		'dgicoml-p': '&#x70;',
		'dgicoml-q': '&#x71;',
		'dgicoml-r': '&#x72;',
		'dgicoml-s': '&#x73;',
		'dgicoml-t': '&#x74;',
		'dgicoml-u': '&#x75;',
		'dgicoml-v': '&#x76;',
		'dgicoml-w': '&#x77;',
		'dgicoml-x': '&#x78;',
		'dgicoml-y': '&#x79;',
		'dgicoml-z': '&#x7a;',
		'dgicoml-braceleft': '&#x7b;',
		'dgicoml-bar': '&#x7c;',
		'dgicoml-braceright': '&#x7d;',
		'dgicoml-asciitilde': '&#x7e;',
		'dgicoml-periodcentered': '&#xb7;',
		'dgicoml-endash': '&#x2013;',
		'dgicoml-emdash': '&#x2014;',
		'dgicoml-guilsinglleft': '&#x2039;',
		'dgicoml-guilsinglright': '&#x203a;',
		'dgicoml-error': '&#xe000;',
		'dgicoml-error_outline': '&#xe001;',
		'dgicoml-warning': '&#xe002;',
		'dgicoml-paper-clip': '&#xe005;',
		'dgicoml-toggle': '&#xe007;',
		'dgicoml-bell': '&#xe00a;',
		'dgicoml-lock': '&#xe00b;',
		'dgicoml-unlock': '&#xe00c;',
		'dgicoml-ribbon': '&#xe00d;',
		'dgicoml-image': '&#xe010;',
		'dgicoml-clock': '&#xe014;',
		'dgicoml-watch': '&#xe015;',
		'dgicoml-av_timer': '&#xe01b;',
		'dgicoml-closed_caption': '&#xe01c;',
		'dgicoml-explicit': '&#xe01e;',
		'dgicoml-library_books': '&#xe02f;',
		'dgicoml-queue': '&#xe03c;',
		'dgicoml-search': '&#xe077;',
		'dgicoml-zoom-in': '&#xe078;',
		'dgicoml-zoom-out': '&#xe079;',
		'dgicoml-circle-plus': '&#xe07b;',
		'dgicoml-circle-minus': '&#xe07c;',
		'dgicoml-circle-check': '&#xe07d;',
		'dgicoml-circle-cross': '&#xe07e;',
		'dgicoml-square-plus': '&#xe07f;',
		'dgicoml-square-minus': '&#xe080;',
		'dgicoml-square-check': '&#xe081;',
		'dgicoml-square-cross': '&#xe082;',
		'dgicoml-cloud-upload': '&#xe095;',
		'dgicoml-cloud-download': '&#xe096;',
		'dgicoml-upload': '&#xe097;',
		'dgicoml-download': '&#xe098;',
		'dgicoml-chat': '&#xe0b7;',
		'dgicoml-comment': '&#xe0b9;',
		'dgicoml-phonelink_erase': '&#xe0db;',
		'dgicoml-phonelink_lock': '&#xe0dc;',
		'dgicoml-phonelink_ring': '&#xe0dd;',
		'dgicoml-phonelink_setup': '&#xe0de;',
		'dgicoml-delete': '&#xe119;',
		'dgicoml-backspace': '&#xe14a;',
		'dgicoml-report': '&#xe160;',
		'dgicoml-save': '&#xe161;',
		'dgicoml-send': '&#xe163;',
		'dgicoml-font_download': '&#xe167;',
		'dgicoml-move_to_inbox': '&#xe168;',
		'dgicoml-unarchive': '&#xe169;',
		'dgicoml-wallpaper': '&#xe1bc;',
		'dgicoml-signal_wifi_4_bar': '&#xe1d8;',
		'dgicoml-signal_wifi_4_bar_lock': '&#xe1d9;',
		'dgicoml-format_bold': '&#xe238;',
		'dgicoml-format_color_text': '&#xe23c;',
		'dgicoml-format_italic': '&#xe23f;',
		'dgicoml-format_underlined': '&#xe249;',
		'dgicoml-spellcheck': '&#xe8ce;',
		'dgicoml-translate': '&#xe8e2;',
		'dgicoml-viv_h': '&#xe900;',
		'dgicoml-viv_v_dark': '&#xe901;',
		'dgicoml-viv_icon_mono': '&#xe902;',
		'dgicoml-addstar': '&#xe903;',
		'dgicoml-amazon': '&#xe90a;',
		'dgicoml-android2': '&#xe90b;',
		'dgicoml-app': '&#xe90c;',
		'dgicoml-apple': '&#xe90d;',
		'dgicoml-bookmark': '&#xe91b;',
		'dgicoml-camera3': '&#xe91e;',
		'dgicoml-chrome': '&#xe922;',
		'dgicoml-cinnamon': '&#xe923;',
		'dgicoml-clip': '&#xe926;',
		'dgicoml-compass': '&#xe92b;',
		'dgicoml-cookpad': '&#xe92c;',
		'dgicoml-copy': '&#xe92d;',
		'dgicoml-cut': '&#xe930;',
		'dgicoml-dashboard2': '&#xe931;',
		'dgicoml-dribbble': '&#xe934;',
		'dgicoml-facebook': '&#xe93c;',
		'dgicoml-firefox': '&#xe93e;',
		'dgicoml-foursquare': '&#xe942;',
		'dgicoml-game': '&#xe947;',
		'dgicoml-github': '&#xe94a;',
		'dgicoml-globe2': '&#xe94b;',
		'dgicoml-hatena': '&#xe950;',
		'dgicoml-help3': '&#xe953;',
		'dgicoml-info2': '&#xe958;',
		'dgicoml-internetexplorer': '&#xe95a;',
		'dgicoml-iphone': '&#xe95b;',
		'dgicoml-key': '&#xe95d;',
		'dgicoml-kudakurage': '&#xe95f;',
		'dgicoml-link3': '&#xe963;',
		'dgicoml-linkedin': '&#xe964;',
		'dgicoml-lock3': '&#xe967;',
		'dgicoml-mixi': '&#xe971;',
		'dgicoml-picasa': '&#xe981;',
		'dgicoml-pinterest': '&#xe983;',
		'dgicoml-safari': '&#xe993;',
		'dgicoml-skype': '&#xe99a;',
		'dgicoml-sleipnir': '&#xe99b;',
		'dgicoml-tabezou': '&#xe9a5;',
		'dgicoml-tumblr': '&#xe9ad;',
		'dgicoml-twitter': '&#xe9ae;',
		'dgicoml-unlock2': '&#xe9b1;',
		'dgicoml-youtube': '&#xe9be;',
		'dgicoml-buffalo': '&#xe9c2;',
		'dgicoml-windows': '&#xe9cf;',
		'dgicoml-emphasis': '&#xe9d0;',
		'dgicoml-gree': '&#xe9d1;',
		'dgicoml-gumroad': '&#xe9d2;',
		'dgicoml-instagram': '&#xe9d3;',
		'dgicoml-jpa': '&#xe9d4;',
		'dgicoml-mobage': '&#xe9d5;',
		'dgicoml-strike': '&#xe9d6;',
		'dgicoml-yapcasia': '&#xe9d7;',
		'dgicoml-yapcasialogo': '&#xe9d8;',
		'dgicoml-yapcasialogomark': '&#xe9d9;',
		'dgicoml-ltthon': '&#xe9da;',
		'dgicoml-SQALE': '&#xe9dc;',
		'dgicoml-hatenabookmark': '&#xe9de;',
		'dgicoml-aim': '&#xe9e2;',
		'dgicoml-bing': '&#xe9e3;',
		'dgicoml-blogger': '&#xe9e4;',
		'dgicoml-cursor': '&#xe9e5;',
		'dgicoml-digg': '&#xe9e6;',
		'dgicoml-grab': '&#xe9e7;',
		'dgicoml-sitemap': '&#xe9ea;',
		'dgicoml-terminal': '&#xe9eb;',
		'dgicoml-vimeo': '&#xe9ec;',
		'dgicoml-wordpress': '&#xe9ed;',
		'dgicoml-yahoo': '&#xe9ee;',
		'dgicoml-dropbox': '&#xe9ef;',
		'dgicoml-line': '&#xe9f4;',
		'dgicoml-ustream': '&#xe9f8;',
		'dgicoml-slideshare': '&#xe9f9;',
		'dgicoml-ubuntu': '&#xe9fb;',
		'dgicoml-vk': '&#xe9fc;',
		'dgicoml-yelp': '&#xe9fd;',
		'dgicoml-copyright': '&#xea01;',
		'dgicoml-donut_large': '&#xea04;',
		'dgicoml-donut_small': '&#xea05;',
		'dgicoml-g_translate': '&#xea0b;',
		'dgicoml-gif': '&#xea0d;',
		'dgicoml-http': '&#xea0f;',
		'dgicoml-child_care': '&#xeb41;',
		'dgicoml-fire': '&#xf06d;',
		'dgicoml-eye2': '&#xf06e;',
		'dgicoml-eye-slash': '&#xf070;',
		'dgicoml-random': '&#xf074;',
		'dgicoml-twitter-square': '&#xf081;',
		'dgicoml-facebook-square': '&#xf082;',
		'dgicoml-github-square': '&#xf092;',
		'dgicoml-phone-square': '&#xf098;',
		'dgicoml-twitter2': '&#xf099;',
		'dgicoml-facebook2': '&#xf09a;',
		'dgicoml-github2': '&#xf09b;',
		'dgicoml-globe3': '&#xf0ac;',
		'dgicoml-pinterest2': '&#xf0d2;',
		'dgicoml-pinterest-square': '&#xf0d3;',
		'dgicoml-google-plus-square': '&#xf0d4;',
		'dgicoml-google-plus': '&#xf0d5;',
		'dgicoml-linkedin2': '&#xf0e1;',
		'dgicoml-h-square': '&#xf0fd;',
		'dgicoml-github-alt': '&#xf113;',
		'dgicoml-chain-broken': '&#xf127;',
		'dgicoml-chevron-circle-left': '&#xf137;',
		'dgicoml-chevron-circle-right': '&#xf138;',
		'dgicoml-chevron-circle-up': '&#xf139;',
		'dgicoml-chevron-circle-down': '&#xf13a;',
		'dgicoml-html5': '&#xf13b;',
		'dgicoml-css3': '&#xf13c;',
		'dgicoml-rss-square': '&#xf143;',
		'dgicoml-eur': '&#xf153;',
		'dgicoml-gbp': '&#xf154;',
		'dgicoml-dollar2': '&#xf155;',
		'dgicoml-inr': '&#xf156;',
		'dgicoml-cny': '&#xf157;',
		'dgicoml-rouble': '&#xf158;',
		'dgicoml-krw': '&#xf159;',
		'dgicoml-bitcoin': '&#xf15a;',
		'dgicoml-sort-alpha-asc': '&#xf15d;',
		'dgicoml-sort-alpha-desc': '&#xf15e;',
		'dgicoml-thumbs-up': '&#xf164;',
		'dgicoml-thumbs-down': '&#xf165;',
		'dgicoml-youtube-square': '&#xf166;',
		'dgicoml-youtube2': '&#xf167;',
		'dgicoml-xing': '&#xf168;',
		'dgicoml-xing-square': '&#xf169;',
		'dgicoml-youtube-play': '&#xf16a;',
		'dgicoml-dropbox2': '&#xf16b;',
		'dgicoml-stack-overflow': '&#xf16c;',
		'dgicoml-instagram2': '&#xf16d;',
		'dgicoml-flickr2': '&#xf16e;',
		'dgicoml-adn': '&#xf170;',
		'dgicoml-bitbucket': '&#xf171;',
		'dgicoml-bitbucket-square': '&#xf172;',
		'dgicoml-tumblr2': '&#xf173;',
		'dgicoml-tumblr-square': '&#xf174;',
		'dgicoml-apple2': '&#xf179;',
		'dgicoml-windows2': '&#xf17a;',
		'dgicoml-android3': '&#xf17b;',
		'dgicoml-linux': '&#xf17c;',
		'dgicoml-skype2': '&#xf17e;',
		'dgicoml-foursquare2': '&#xf180;',
		'dgicoml-bug': '&#xf188;',
		'dgicoml-vk2': '&#xf189;',
		'dgicoml-weibo': '&#xf18a;',
		'dgicoml-renren': '&#xf18b;',
		'dgicoml-pagelines': '&#xf18c;',
		'dgicoml-vimeo-square': '&#xf194;',
		'dgicoml-try': '&#xf195;',
		'dgicoml-wordpress2': '&#xf19a;',
		'dgicoml-openid': '&#xf19b;',
		'dgicoml-yahoo2': '&#xf19e;',
		'dgicoml-google2': '&#xf1a0;',
		'dgicoml-reddit': '&#xf1a1;',
		'dgicoml-reddit-square': '&#xf1a2;',
		'dgicoml-stumbleupon-circle': '&#xf1a3;',
		'dgicoml-stumbleupon': '&#xf1a4;',
		'dgicoml-delicious2': '&#xf1a5;',
		'dgicoml-digg2': '&#xf1a6;',
		'dgicoml-pied-piper-pp': '&#xf1a7;',
		'dgicoml-pied-piper-alt': '&#xf1a8;',
		'dgicoml-drupal': '&#xf1a9;',
		'dgicoml-joomla': '&#xf1aa;',
		'dgicoml-language2': '&#xf1ab;',
		'dgicoml-behance': '&#xf1b4;',
		'dgicoml-behance-square': '&#xf1b5;',
		'dgicoml-recycle': '&#xf1b8;',
		'dgicoml-file-pdf-o': '&#xf1c1;',
		'dgicoml-file-word-o': '&#xf1c2;',
		'dgicoml-file-excel-o': '&#xf1c3;',
		'dgicoml-file-powerpoint-o': '&#xf1c4;',
		'dgicoml-file-image-o': '&#xf1c5;',
		'dgicoml-file-archive-o': '&#xf1c6;',
		'dgicoml-file-audio-o': '&#xf1c7;',
		'dgicoml-file-movie-o': '&#xf1c8;',
		'dgicoml-file-code-o': '&#xf1c9;',
		'dgicoml-vine': '&#xf1ca;',
		'dgicoml-jsfiddle': '&#xf1cc;',
		'dgicoml-empire': '&#xf1d1;',
		'dgicoml-git-square': '&#xf1d2;',
		'dgicoml-git': '&#xf1d3;',
		'dgicoml-hacker-news': '&#xf1d4;',
		'dgicoml-tencent-weibo': '&#xf1d5;',
		'dgicoml-qq': '&#xf1d6;',
		'dgicoml-paper-plane': '&#xf1d8;',
		'dgicoml-paper-plane-o': '&#xf1d9;',
		'dgicoml-paragraph2': '&#xf1dd;',
		'dgicoml-sliders': '&#xf1de;',
		'dgicoml-share-alt': '&#xf1e0;',
		'dgicoml-share-alt-square': '&#xf1e1;',
		'dgicoml-plug': '&#xf1e6;',
		'dgicoml-slideshare2': '&#xf1e7;',
		'dgicoml-twitch': '&#xf1e8;',
		'dgicoml-yelp2': '&#xf1e9;',
		'dgicoml-paypal': '&#xf1ed;',
		'dgicoml-google-wallet': '&#xf1ee;',
		'dgicoml-cc-visa': '&#xf1f0;',
		'dgicoml-cc-mastercard': '&#xf1f1;',
		'dgicoml-cc-discover': '&#xf1f2;',
		'dgicoml-cc-amex': '&#xf1f3;',
		'dgicoml-cc-paypal': '&#xf1f4;',
		'dgicoml-cc-stripe': '&#xf1f5;',
		'dgicoml-lastfm': '&#xf202;',
		'dgicoml-lastfm-square': '&#xf203;',
		'dgicoml-cc': '&#xf20a;',
		'dgicoml-meanpath': '&#xf20c;',
		'dgicoml-buysellads': '&#xf20d;',
		'dgicoml-shirtsinbulk': '&#xf214;',
		'dgicoml-facebook-official': '&#xf230;',
		'dgicoml-server3': '&#xf233;',
		'dgicoml-medium': '&#xf23a;',
		'dgicoml-y-combinator': '&#xf23b;',
		'dgicoml-optin-monster': '&#xf23c;',
		'dgicoml-opencart': '&#xf23d;',
		'dgicoml-expeditedssl': '&#xf23e;',
		'dgicoml-cc-jcb': '&#xf24b;',
		'dgicoml-cc-diners-club': '&#xf24c;',
		'dgicoml-balance-scale': '&#xf24e;',
		'dgicoml-trademark': '&#xf25c;',
		'dgicoml-registered': '&#xf25d;',
		'dgicoml-creative-commons': '&#xf25e;',
		'dgicoml-gg': '&#xf260;',
		'dgicoml-gg-circle': '&#xf261;',
		'dgicoml-tripadvisor': '&#xf262;',
		'dgicoml-odnoklassniki': '&#xf263;',
		'dgicoml-odnoklassniki-square': '&#xf264;',
		'dgicoml-get-pocket': '&#xf265;',
		'dgicoml-safari2': '&#xf267;',
		'dgicoml-chrome2': '&#xf268;',
		'dgicoml-firefox2': '&#xf269;',
		'dgicoml-opera2': '&#xf26a;',
		'dgicoml-internet-explorer': '&#xf26b;',
		'dgicoml-contao': '&#xf26d;',
		'dgicoml-500px': '&#xf26e;',
		'dgicoml-amazon2': '&#xf270;',
		'dgicoml-commenting': '&#xf27a;',
		'dgicoml-commenting-o': '&#xf27b;',
		'dgicoml-vimeo2': '&#xf27d;',
		'dgicoml-fonticons': '&#xf280;',
		'dgicoml-reddit-alien': '&#xf281;',
		'dgicoml-edge': '&#xf282;',
		'dgicoml-credit-card-alt': '&#xf283;',
		'dgicoml-usb2': '&#xf287;',
		'dgicoml-product-hunt': '&#xf288;',
		'dgicoml-mixcloud': '&#xf289;',
		'dgicoml-scribd': '&#xf28a;',
		'dgicoml-shopping-bag': '&#xf290;',
		'dgicoml-shopping-basket': '&#xf291;',
		'dgicoml-hashtag': '&#xf292;',
		'dgicoml-bluetooth2': '&#xf293;',
		'dgicoml-bluetooth-b': '&#xf294;',
		'dgicoml-percent2': '&#xf295;',
		'dgicoml-gitlab': '&#xf296;',
		'dgicoml-universal-access': '&#xf29a;',
		'dgicoml-glide': '&#xf2a5;',
		'dgicoml-glide-g': '&#xf2a6;',
		'dgicoml-linode': '&#xf2b8;',
		'dgicoml-grav': '&#xf2d6;',
		'dgicoml-etsy': '&#xf2d7;',
		'dgicoml-imdb': '&#xf2d8;',
		'dgicoml-superpowers': '&#xf2dd;',
		'dgicoml-meetup': '&#xf2e0;',
		'0': 0
		},
		els = document.getElementsByTagName('*'),
		i, c, el;
	for (i = 0; ; i += 1) {
		el = els[i];
		if(!el) {
			break;
		}
		c = el.className;
		c = c.match(/dgicoml-[^\s'"]+/);
		if (c && icons[c[0]]) {
			addIcon(el, icons[c[0]]);
		}
	}
}());
